#
# spec file for package xgc
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xgc
Version:        1.0.6
Release:        1.6
Summary:        X graphics demo
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xgc is an X11 graphics demo that shows various features of the X11
core protocol graphics primitives.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xgc
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xgc
%{_datadir}/X11/app-defaults/Xgc-color
%{_mandir}/man1/xgc.1%{?ext_man}

%changelog
* Sat Oct 15 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Fix spelling/wording issues
  * Trim trailing whitespace from lines
  * gitlab CI: add a basic build test
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * Fix -Wformat-truncation warning
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Dec  3 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.5:
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Remove include of Version 7 <sys/timeb.h> header
  * configure: look for gram.c in $srcdir
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Bounds check value passed to WriteText.
  + config:
  - Add missing AC_CONFIG_SRCDIR.
  - Let Automake handle Lex and Yacc dist and cleaning.
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Replace AC_CHECK_FILE with test -f.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xgc from xorg-x11. Initial version: 1.0.3.
